LibreOffice LibreOffice 25.8 SDK C/C++ API Reference

Macros
Flags specifying which fields to retrieve by osl_getFileStatus

## Macros
#define | osl_FileStatus_Mask_Type 0x00000001
#define | osl_FileStatus_Mask_Attributes 0x00000002
#define | osl_FileStatus_Mask_CreationTime 0x00000010
#define | osl_FileStatus_Mask_AccessTime 0x00000020
#define | osl_FileStatus_Mask_ModifyTime 0x00000040
#define | osl_FileStatus_Mask_FileSize 0x00000080
#define | osl_FileStatus_Mask_FileName 0x00000100
#define | osl_FileStatus_Mask_FileURL 0x00000200
#define | osl_FileStatus_Mask_LinkTargetURL 0x00000400
#define | osl_FileStatus_Mask_All 0x7FFFFFFF
#define | osl_FileStatus_Mask_Validate 0x80000000

## Detailed Description

## Macro Definition Documentation

## ◆ osl_FileStatus_Mask_AccessTime

#define osl_FileStatus_Mask_AccessTime 0x00000020

## ◆ osl_FileStatus_Mask_All

#define osl_FileStatus_Mask_All 0x7FFFFFFF

## ◆ osl_FileStatus_Mask_Attributes

#define osl_FileStatus_Mask_Attributes 0x00000002

## ◆ osl_FileStatus_Mask_CreationTime

#define osl_FileStatus_Mask_CreationTime 0x00000010

## ◆ osl_FileStatus_Mask_FileName

#define osl_FileStatus_Mask_FileName 0x00000100

## ◆ osl_FileStatus_Mask_FileSize

#define osl_FileStatus_Mask_FileSize 0x00000080

## ◆ osl_FileStatus_Mask_FileURL

#define osl_FileStatus_Mask_FileURL 0x00000200

## ◆ osl_FileStatus_Mask_LinkTargetURL

#define osl_FileStatus_Mask_LinkTargetURL 0x00000400

## ◆ osl_FileStatus_Mask_ModifyTime

#define osl_FileStatus_Mask_ModifyTime 0x00000040

## ◆ osl_FileStatus_Mask_Type

#define osl_FileStatus_Mask_Type 0x00000001

## ◆ osl_FileStatus_Mask_Validate

#define osl_FileStatus_Mask_Validate 0x80000000